New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Update (Versions-) Problem #6904

Open
maudo2 opened this Issue Aug 18, 2018 · 4 comments

Comments

Projects
None yet
3 participants
@maudo2

maudo2 commented Aug 18, 2018

Hallo!
Beim Update von 2017.02.5 auf die neuste Version klemmts bei mir.
Ich habe mich an die Anleitung "Migration Path" im "Update HowTo" gehalten.
Anscheinend ist das nicht ganz korrekt, es lief nämlich nicht durch, und so hänge ich nun (wieder nach Downgrade) bei Version 2018.02.1. Beim Versuch 2018.02.6 zu installieren kommt:

Current application version is higher than version from setup.xml: 12.2 > 12.0

.../Setup/Controller.php(481): Setup_Controller->updateApplication()
.../Setup/Frontend/Json.php(118): Setup_Controller->updateApplications()
.../vendor/zendframework/zendframework1/library/Zend/Server/Abstract.php(232): Setup_Frontend_Json->updateApplications()
.../vendor/zendframework/zendframework1/library/Zend/Json/Server.php(590): Zend_Server_Abstract->_dispatch()
.../vendor/zendframework/zendframework1/library/Zend/Json/Server.php(197): Zend_Json_Server->_handle()
.../Setup/Server/Json.php(90): Zend_Json_Server->handle()
.../Setup/Core.php(115): Setup_Server_Json->handle()
.../setup.php(14): Setup_Core::dispatchRequest()

Für mich sieht das so aus, als wäre Tinebase beim ersten (vergeblichen) Updateversuch auf die Version 12.2 upgedated worden. Leider ging beim Datenbank sichern was schief (das war über die domainfactory-eigene db-Sicherungsfunktion), weshalb ich nun nicht mehr zurück komme um an eine niedrigere Tinebase zu kommen.

Was kann ich da tun?

Danke,
Markus.

@pschuele

This comment has been minimized.

Show comment
Hide comment
@pschuele

pschuele Aug 20, 2018

Member

hallo Markus,

hm, wäre interessant, den eigentlichen fehler zu sehen. hast du noch das logfile?
zum fixen kannst du probieren, in der datenbank die app version runterzusetzen und danach das update zu versuchen (ohne gewähr):

update tine20_applications set version = '12.0' where name = 'Tinebase';
Member

pschuele commented Aug 20, 2018

hallo Markus,

hm, wäre interessant, den eigentlichen fehler zu sehen. hast du noch das logfile?
zum fixen kannst du probieren, in der datenbank die app version runterzusetzen und danach das update zu versuchen (ohne gewähr):

update tine20_applications set version = '12.0' where name = 'Tinebase';

@pschuele pschuele added the Update label Aug 20, 2018

@maudo2

This comment has been minimized.

Show comment
Hide comment
@maudo2

maudo2 Aug 21, 2018

Ne, leider hab ich kein LOG File mehr :-(
Ich hab jetzt Deinen Vorschlag mal probiert (mit Update auf 2018.02.6)...
Da bekomm ich beim Versuch EIN Modul upzudaten diese Meldung:

"Setup Admin undefined"

Phone/Setup/setup.xml not found. If application got renamed or deleted, re-run setup.php.

.../Setup/Controller.php(557): Setup_Controller->getSetupXml()
.../Setup/Controller.php(488): Setup_Controller->updateApplication()
.../Setup/Frontend/Json.php(118): Setup_Controller->updateApplications()
.../vendor/zendframework/zendframework1/library/Zend/Server/Abstract.php(232): Setup_Frontend_Json->updateApplications()
.../vendor/zendframework/zendframework1/library/Zend/Json/Server.php(590): Zend_Server_Abstract->_dispatch()
.../vendor/zendframework/zendframework1/library/Zend/Json/Server.php(197): Zend_Json_Server->_handle()
.../Setup/Server/Json.php(90): Zend_Json_Server->handle()
.../Setup/Core.php(115): Setup_Server_Json->handle()
.../setup.php(14): Setup_Core::dispatchRequest()

Scheint als nicht zu gehn...
Hast Du noch ne Idee?

Gruß,
Markus.

maudo2 commented Aug 21, 2018

Ne, leider hab ich kein LOG File mehr :-(
Ich hab jetzt Deinen Vorschlag mal probiert (mit Update auf 2018.02.6)...
Da bekomm ich beim Versuch EIN Modul upzudaten diese Meldung:

"Setup Admin undefined"

Phone/Setup/setup.xml not found. If application got renamed or deleted, re-run setup.php.

.../Setup/Controller.php(557): Setup_Controller->getSetupXml()
.../Setup/Controller.php(488): Setup_Controller->updateApplication()
.../Setup/Frontend/Json.php(118): Setup_Controller->updateApplications()
.../vendor/zendframework/zendframework1/library/Zend/Server/Abstract.php(232): Setup_Frontend_Json->updateApplications()
.../vendor/zendframework/zendframework1/library/Zend/Json/Server.php(590): Zend_Server_Abstract->_dispatch()
.../vendor/zendframework/zendframework1/library/Zend/Json/Server.php(197): Zend_Json_Server->_handle()
.../Setup/Server/Json.php(90): Zend_Json_Server->handle()
.../Setup/Core.php(115): Setup_Server_Json->handle()
.../setup.php(14): Setup_Core::dispatchRequest()

Scheint als nicht zu gehn...
Hast Du noch ne Idee?

Gruß,
Markus.

@lab-at-nohl

This comment has been minimized.

Show comment
Hide comment
@lab-at-nohl

lab-at-nohl Aug 21, 2018

Contributor

Sorry, aber du könntest auch ein neues Log-File erstellen lassen - während des Updates (Stufe DEBUG). Einfach manuell in die config.inc.php eintragen.

Contributor

lab-at-nohl commented Aug 21, 2018

Sorry, aber du könntest auch ein neues Log-File erstellen lassen - während des Updates (Stufe DEBUG). Einfach manuell in die config.inc.php eintragen.

@pschuele

This comment has been minimized.

Show comment
Hide comment
@pschuele

pschuele Aug 23, 2018

Member

Phone/Setup/setup.xml not found.

phone ist nicht bestandteil des "allinone" packages und muss separat heruntergeladen werden (siehe release notes).

Da bekomm ich beim Versuch EIN Modul upzudaten diese Meldung:

es wird nicht empfohlen, einzelne module zu aktualisieren. bitte immer alle markieren, die aktualisiert werden können und dann zusammen aktualisieren.

Member

pschuele commented Aug 23, 2018

Phone/Setup/setup.xml not found.

phone ist nicht bestandteil des "allinone" packages und muss separat heruntergeladen werden (siehe release notes).

Da bekomm ich beim Versuch EIN Modul upzudaten diese Meldung:

es wird nicht empfohlen, einzelne module zu aktualisieren. bitte immer alle markieren, die aktualisiert werden können und dann zusammen aktualisieren.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment